Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.modules
Interface BinaryResource

All Superinterfaces:
  Resource

All Known Implementing Classes:
  LocalBinaryResource, RemoteBinaryResource

public interface BinaryResource
extends Resource

Resource for encapsulation of binary data that is stored in the data base. Support for BinaryResources is optional.

The standard `getContent` method returns a `byte[]` and the standard setContent expects an `byte[]`.

Field Summary
`static java.lang.String` | `RESOURCE_TYPE`

Methods inherited from interface org.xmldb.api.base.Resource
`getContent, getId, getParentCollection, getResourceType, setContent`

Field Detail

### RESOURCE_TYPE

    public static final java.lang.String RESOURCE_TYPE

See Also:
  Constant Field Values

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.